@Echo Off
Color F0
Title Disable CLFLVSplitter - by ADHDerby
Reg Query "HKLM\SOFTWARE\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Next
goto 32-bit

:Next
Reg Query "HKLM\SOFTWARE\Wow6432Node\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Error
goto 64-bit

:Error
Color 0C
Echo.
Echo  Error 404: Can't find the InstallPath
Echo.
Echo  Please (re)install PowerDVD 11
Echo.
Echo.
Echo  Press a key to Exit . . .
Pause > nul
Color
Exit

:32-bit
Echo.
For /F "tokens=2* delims=	 " %%A IN ('Reg Query "HKLM\SOFTWARE\CyberLink\PowerDVD11" /v InstallPath') do set PDVD11Dir=%%B
Echo  InstallPath: "%PDVD11Dir%"
Echo.
Regsvr32 /u "%PDVD11Dir%\Common\NavFilter\CLFLVSplitter.ax"
Echo.
goto Done

:64-bit
Echo.
For /F "tokens=2* delims=	 " %%A IN ('Reg Query "HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11" /v InstallPath') do set PDVD11Dir=%%B
Echo  InstallPath: "%PDVD11Dir%" (64-bit)
Echo.
Regsvr32 /u "%PDVD11Dir%\Common\NavFilter\CLFLVSplitter.ax"
Echo.
goto Done

:Done
Color
Exit